Runtime

## org.eclipse.gmf.runtime.emf.core.clipboard
Class CopyingResourceSet

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.common.notify.impl.NotifierImpl
              org.eclipse.emf.ecore.resource.impl.ResourceSetImpl
                  org.eclipse.gmf.runtime.emf.core.clipboard.CopyingResourceSet

All Implemented Interfaces:
  Notifier, ResourceSet

public class CopyingResourceSet
extends ResourceSetImpl

Nested Class Summary

Nested classes inherited from class org.eclipse.emf.ecore.resource.impl.ResourceSetImpl
`ResourceSetImpl.ResourcesEList`

Nested classes inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`BasicNotifierImpl.EAdapterList`

Field Summary

Fields inherited from class org.eclipse.emf.ecore.resource.impl.ResourceSetImpl
`adapterFactories, loadOptions, packageRegistry, resourceFactoryRegistry, resources, uriConverter, uriResourceMap`

Fields inherited from class org.eclipse.emf.common.notify.impl.NotifierImpl
`eAdapters, EDELIVER, eFlags, ELAST_NOTIFIER_FLAG`

Fields inherited from interface org.eclipse.emf.ecore.resource.ResourceSet
`RESOURCE_SET__RESOURCES`

Constructor Summary
`CopyingResourceSet(ResourceSet resourceSet)`

Method Summary
`Resource` `createResource(URI uri)`
`boolean` `eNotificationRequired()`
`EList` `getAdapterFactories()`
`EObject` `getEObject(URI uri, boolean loadOnDemand)`
`java.util.Map` `getLoadOptions()`
`EPackage.Registry` `getPackageRegistry()`
`Resource` `getResource(URI uri, boolean loadOnDemand)`
`Resource.Factory.Registry` `getResourceFactoryRegistry()`
`java.util.Map` `getResourcesMap()`
`URIConverter` `getURIConverter()`
`java.util.Map` `getURIResourceMap()`

Methods inherited from class org.eclipse.emf.ecore.resource.impl.ResourceSetImpl
`delegatedGetResource, demandCreateResource, demandLoad, demandLoadHelper, getAllContents, getResources, handleDemandLoadException, setPackageRegistry, setResourceFactoryRegistry, setURIConverter, setURIResourceMap, toString`

Methods inherited from class org.eclipse.emf.common.notify.impl.NotifierImpl
`eAdapters, eBasicAdapters, eDeliver, eSetDeliver`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eNotify`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Constructor Detail

### CopyingResourceSet

    public CopyingResourceSet(ResourceSet resourceSet)

Method Detail

### getResourcesMap

    public java.util.Map getResourcesMap()

### getEObject

    public EObject getEObject(URI uri,
                              boolean loadOnDemand)

### getResource

    public Resource getResource(URI uri,
                                boolean loadOnDemand)

### getURIResourceMap

    public java.util.Map getURIResourceMap()

### createResource

    public Resource createResource(URI uri)

### eNotificationRequired

    public boolean eNotificationRequired()

### getAdapterFactories

    public EList getAdapterFactories()

### getLoadOptions

    public java.util.Map getLoadOptions()

### getPackageRegistry

    public EPackage.Registry getPackageRegistry()

### getResourceFactoryRegistry

    public Resource.Factory.Registry getResourceFactoryRegistry()

### getURIConverter

    public URIConverter getURIConverter()

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.